{: test that a compilation error occurs when assign() is called with
   incorrect arguments }

program e1014( output );


var
   f  : text;
   f1 : integer;


begin { e1014 }

   assign( f1, 'myfile.dat' );
   writeln( 'assign error not detected' );
end. { e1014 }

